All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Dot Product
Statistical Functions

Performs the dot product operation on the samples of two input signals. More...

## Functions

NppStatus | nppsDotProdGetBufferSize_32f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_32f. More...
NppStatus | nppsDotProdGetBufferSize_32f (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_32f_Ctx (const Npp32f *pSrc1, const Npp32f *pSrc2, int nLength, Npp32f *pDp, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit float dot product method, return value is 32-bit float. More...
NppStatus | nppsDotProd_32f (const Npp32f *pSrc1, const Npp32f *pSrc2, int nLength, Npp32f *pDp, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_32fc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_32fc. More...
NppStatus | nppsDotProdGetBufferSize_32fc (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_32fc_Ctx (const Npp32fc *pSrc1, const Npp32fc *pSrc2, int nLength, Npp32fc *pDp, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit float complex dot product method, return value is 32-bit float complex. More...
NppStatus | nppsDotProd_32fc (const Npp32fc *pSrc1, const Npp32fc *pSrc2, int nLength, Npp32fc *pDp, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_32f32fc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_32f32fc. More...
NppStatus | nppsDotProdGetBufferSize_32f32fc (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_32f32fc_Ctx (const Npp32f *pSrc1, const Npp32fc *pSrc2, int nLength, Npp32fc *pDp, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit float and 32-bit float complex dot product method, return value is 32-bit float complex. More...
NppStatus | nppsDotProd_32f32fc (const Npp32f *pSrc1, const Npp32fc *pSrc2, int nLength, Npp32fc *pDp, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_32f64f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_32f64f. More...
NppStatus | nppsDotProdGetBufferSize_32f64f (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_32f64f_Ctx (const Npp32f *pSrc1, const Npp32f *pSrc2, int nLength, Npp64f *pDp, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit float dot product method, return value is 64-bit float. More...
NppStatus | nppsDotProd_32f64f (const Npp32f *pSrc1, const Npp32f *pSrc2, int nLength, Npp64f *pDp, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_32fc64fc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_32fc64fc. More...
NppStatus | nppsDotProdGetBufferSize_32fc64fc (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_32fc64fc_Ctx (const Npp32fc *pSrc1, const Npp32fc *pSrc2, int nLength, Npp64fc *pDp, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit float complex dot product method, return value is 64-bit float complex. More...
NppStatus | nppsDotProd_32fc64fc (const Npp32fc *pSrc1, const Npp32fc *pSrc2, int nLength, Npp64fc *pDp, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_32f32fc64fc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_32f32fc64fc. More...
NppStatus | nppsDotProdGetBufferSize_32f32fc64fc (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_32f32fc64fc_Ctx (const Npp32f *pSrc1, const Npp32fc *pSrc2, int nLength, Npp64fc *pDp, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit float and 32-bit float complex dot product method, return value is 64-bit float complex. More...
NppStatus | nppsDotProd_32f32fc64fc (const Npp32f *pSrc1, const Npp32fc *pSrc2, int nLength, Npp64fc *pDp, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_64f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_64f. More...
NppStatus | nppsDotProdGetBufferSize_64f (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_64f_Ctx (const Npp64f *pSrc1, const Npp64f *pSrc2, int nLength, Npp64f *pDp, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit float dot product method, return value is 64-bit float. More...
NppStatus | nppsDotProd_64f (const Npp64f *pSrc1, const Npp64f *pSrc2, int nLength, Npp64f *pDp, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_64fc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_64fc. More...
NppStatus | nppsDotProdGetBufferSize_64fc (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_64fc_Ctx (const Npp64fc *pSrc1, const Npp64fc *pSrc2, int nLength, Npp64fc *pDp, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit float complex dot product method, return value is 64-bit float complex. More...
NppStatus | nppsDotProd_64fc (const Npp64fc *pSrc1, const Npp64fc *pSrc2, int nLength, Npp64fc *pDp, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_64f64fc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_64f64fc. More...
NppStatus | nppsDotProdGetBufferSize_64f64fc (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_64f64fc_Ctx (const Npp64f *pSrc1, const Npp64fc *pSrc2, int nLength, Npp64fc *pDp, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit float and 64-bit float complex dot product method, return value is 64-bit float complex. More...
NppStatus | nppsDotProd_64f64fc (const Npp64f *pSrc1, const Npp64fc *pSrc2, int nLength, Npp64fc *pDp, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_16s64s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_16s64s. More...
NppStatus | nppsDotProdGetBufferSize_16s64s (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_16s64s_Ctx (const Npp16s *pSrc1, const Npp16s *pSrc2, int nLength, Npp64s *pDp, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit signed short integer dot product method, return value is 64-bit signed integer. More...
NppStatus | nppsDotProd_16s64s (const Npp16s *pSrc1, const Npp16s *pSrc2, int nLength, Npp64s *pDp, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_16sc64sc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_16sc64sc. More...
NppStatus | nppsDotProdGetBufferSize_16sc64sc (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_16sc64sc_Ctx (const Npp16sc *pSrc1, const Npp16sc *pSrc2, int nLength, Npp64sc *pDp, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit signed short integer complex dot product method, return value is 64-bit signed integer complex. More...
NppStatus | nppsDotProd_16sc64sc (const Npp16sc *pSrc1, const Npp16sc *pSrc2, int nLength, Npp64sc *pDp, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_16s16sc64sc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_16s16sc64sc. More...
NppStatus | nppsDotProdGetBufferSize_16s16sc64sc (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_16s16sc64sc_Ctx (const Npp16s *pSrc1, const Npp16sc *pSrc2, int nLength, Npp64sc *pDp, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit signed short integer and 16-bit signed short integer short dot product method, return value is 64-bit signed integer complex. More...
NppStatus | nppsDotProd_16s16sc64sc (const Npp16s *pSrc1, const Npp16sc *pSrc2, int nLength, Npp64sc *pDp, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_16s32f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_16s32f. More...
NppStatus | nppsDotProdGetBufferSize_16s32f (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_16s32f_Ctx (const Npp16s *pSrc1, const Npp16s *pSrc2, int nLength, Npp32f *pDp, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit signed short integer dot product method, return value is 32-bit float. More...
NppStatus | nppsDotProd_16s32f (const Npp16s *pSrc1, const Npp16s *pSrc2, int nLength, Npp32f *pDp, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_16sc32fc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_16sc32fc. More...
NppStatus | nppsDotProdGetBufferSize_16sc32fc (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_16sc32fc_Ctx (const Npp16sc *pSrc1, const Npp16sc *pSrc2, int nLength, Npp32fc *pDp, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit signed short integer complex dot product method, return value is 32-bit float complex. More...
NppStatus | nppsDotProd_16sc32fc (const Npp16sc *pSrc1, const Npp16sc *pSrc2, int nLength, Npp32fc *pDp, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_16s16sc32fc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_16s16sc32fc. More...
NppStatus | nppsDotProdGetBufferSize_16s16sc32fc (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_16s16sc32fc_Ctx (const Npp16s *pSrc1, const Npp16sc *pSrc2, int nLength, Npp32fc *pDp, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit signed short integer and 16-bit signed short integer complex dot product method, return value is 32-bit float complex. More...
NppStatus | nppsDotProd_16s16sc32fc (const Npp16s *pSrc1, const Npp16sc *pSrc2, int nLength, Npp32fc *pDp, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_16s_Sfs_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_16s_Sfs. More...
NppStatus | nppsDotProdGetBufferSize_16s_Sfs (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_16s_Sfs_Ctx (const Npp16s *pSrc1, const Npp16s *pSrc2, int nLength, Npp16s *pDp, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit signed short integer dot product method, return value is 16-bit signed short integer. More...
NppStatus | nppsDotProd_16s_Sfs (const Npp16s *pSrc1, const Npp16s *pSrc2, int nLength, Npp16s *pDp, int nScaleFactor, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_16sc_Sfs_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_16sc_Sfs. More...
NppStatus | nppsDotProdGetBufferSize_16sc_Sfs (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_16sc_Sfs_Ctx (const Npp16sc *pSrc1, const Npp16sc *pSrc2, int nLength, Npp16sc *pDp, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit signed short integer complex dot product method, return value is 16-bit signed short integer complex. More...
NppStatus | nppsDotProd_16sc_Sfs (const Npp16sc *pSrc1, const Npp16sc *pSrc2, int nLength, Npp16sc *pDp, int nScaleFactor, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_32s_Sfs_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_32s_Sfs. More...
NppStatus | nppsDotProdGetBufferSize_32s_Sfs (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_32s_Sfs_Ctx (const Npp32s *pSrc1, const Npp32s *pSrc2, int nLength, Npp32s *pDp, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit signed integer dot product method, return value is 32-bit signed integer. More...
NppStatus | nppsDotProd_32s_Sfs (const Npp32s *pSrc1, const Npp32s *pSrc2, int nLength, Npp32s *pDp, int nScaleFactor, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_32sc_Sfs_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_32sc_Sfs. More...
NppStatus | nppsDotProdGetBufferSize_32sc_Sfs (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_32sc_Sfs_Ctx (const Npp32sc *pSrc1, const Npp32sc *pSrc2, int nLength, Npp32sc *pDp, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit signed integer complex dot product method, return value is 32-bit signed integer complex. More...
NppStatus | nppsDotProd_32sc_Sfs (const Npp32sc *pSrc1, const Npp32sc *pSrc2, int nLength, Npp32sc *pDp, int nScaleFactor, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_16s32s_Sfs_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_16s32s_Sfs. More...
NppStatus | nppsDotProdGetBufferSize_16s32s_Sfs (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_16s32s_Sfs_Ctx (const Npp16s *pSrc1, const Npp16s *pSrc2, int nLength, Npp32s *pDp, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit signed short integer dot product method, return value is 32-bit signed integer. More...
NppStatus | nppsDotProd_16s32s_Sfs (const Npp16s *pSrc1, const Npp16s *pSrc2, int nLength, Npp32s *pDp, int nScaleFactor, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_16s16sc32sc_Sfs_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_16s16sc32sc_Sfs. More...
NppStatus | nppsDotProdGetBufferSize_16s16sc32sc_Sfs (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_16s16sc32sc_Sfs_Ctx (const Npp16s *pSrc1, const Npp16sc *pSrc2, int nLength, Npp32sc *pDp, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit signed short integer and 16-bit signed short integer complex dot product method, return value is 32-bit signed integer complex. More...
NppStatus | nppsDotProd_16s16sc32sc_Sfs (const Npp16s *pSrc1, const Npp16sc *pSrc2, int nLength, Npp32sc *pDp, int nScaleFactor, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_16s32s32s_Sfs_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_16s32s32s_Sfs. More...
NppStatus | nppsDotProdGetBufferSize_16s32s32s_Sfs (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_16s32s32s_Sfs_Ctx (const Npp16s *pSrc1, const Npp32s *pSrc2, int nLength, Npp32s *pDp, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit signed short integer and 32-bit signed integer dot product method, return value is 32-bit signed integer. More...
NppStatus | nppsDotProd_16s32s32s_Sfs (const Npp16s *pSrc1, const Npp32s *pSrc2, int nLength, Npp32s *pDp, int nScaleFactor, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_16s16sc_Sfs_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_16s16sc_Sfs. More...
NppStatus | nppsDotProdGetBufferSize_16s16sc_Sfs (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_16s16sc_Sfs_Ctx (const Npp16s *pSrc1, const Npp16sc *pSrc2, int nLength, Npp16sc *pDp, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit signed short integer and 16-bit signed short integer complex dot product method, return value is 16-bit signed short integer complex. More...
NppStatus | nppsDotProd_16s16sc_Sfs (const Npp16s *pSrc1, const Npp16sc *pSrc2, int nLength, Npp16sc *pDp, int nScaleFactor, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_16sc32sc_Sfs_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_16sc32sc_Sfs. More...
NppStatus | nppsDotProdGetBufferSize_16sc32sc_Sfs (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_16sc32sc_Sfs_Ctx (const Npp16sc *pSrc1, const Npp16sc *pSrc2, int nLength, Npp32sc *pDp, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit signed short integer complex dot product method, return value is 32-bit signed integer complex. More...
NppStatus | nppsDotProd_16sc32sc_Sfs (const Npp16sc *pSrc1, const Npp16sc *pSrc2, int nLength, Npp32sc *pDp, int nScaleFactor, Npp8u *pDeviceBuffer)
NppStatus | nppsDotProdGetBufferSize_32s32sc_Sfs_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsDotProd_32s32sc_Sfs. More...
NppStatus | nppsDotProdGetBufferSize_32s32sc_Sfs (int nLength, int *hpBufferSize)
NppStatus | nppsDotProd_32s32sc_Sfs_Ctx (const Npp32s *pSrc1, const Npp32sc *pSrc2, int nLength, Npp32sc *pDp, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit signed short integer and 32-bit signed short integer complex dot product method, return value is 32-bit signed integer complex. More...
NppStatus | nppsDotProd_32s32sc_Sfs (const Npp32s *pSrc1, const Npp32sc *pSrc2, int nLength, Npp32sc *pDp, int nScaleFactor, Npp8u *pDeviceBuffer)

## Detailed Description

Performs the dot product operation on the samples of two input signals.

## Function Documentation

NppStatus nppsDotProd_16s16sc32fc | ( | const Npp16s * | pSrc1,
|  | const Npp16sc * | pSrc2,
|  | int | nLength,
|  | Npp32fc * | pDp,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_16s16sc32fc_Ctx | ( | const Npp16s * | pSrc1,
|  | const Npp16sc * | pSrc2,
|  | int | nLength,
|  | Npp32fc * | pDp,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short integer and 16-bit signed short integer complex dot product method, return value is 32-bit float complex.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_16s16sc32fc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_16s16sc32sc_Sfs | ( | const Npp16s * | pSrc1,
|  | const Npp16sc * | pSrc2,
|  | int | nLength,
|  | Npp32sc * | pDp,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_16s16sc32sc_Sfs_Ctx | ( | const Npp16s * | pSrc1,
|  | const Npp16sc * | pSrc2,
|  | int | nLength,
|  | Npp32sc * | pDp,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short integer and 16-bit signed short integer complex dot product method, return value is 32-bit signed integer complex.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  nScaleFactor | Integer Result Scaling.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_16s16sc32sc_Sfs to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_16s16sc64sc | ( | const Npp16s * | pSrc1,
|  | const Npp16sc * | pSrc2,
|  | int | nLength,
|  | Npp64sc * | pDp,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_16s16sc64sc_Ctx | ( | const Npp16s * | pSrc1,
|  | const Npp16sc * | pSrc2,
|  | int | nLength,
|  | Npp64sc * | pDp,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short integer and 16-bit signed short integer short dot product method, return value is 64-bit signed integer complex.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_16s16sc64sc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_16s16sc_Sfs | ( | const Npp16s * | pSrc1,
|  | const Npp16sc * | pSrc2,
|  | int | nLength,
|  | Npp16sc * | pDp,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_16s16sc_Sfs_Ctx | ( | const Npp16s * | pSrc1,
|  | const Npp16sc * | pSrc2,
|  | int | nLength,
|  | Npp16sc * | pDp,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short integer and 16-bit signed short integer complex dot product method, return value is 16-bit signed short integer complex.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  nScaleFactor | Integer Result Scaling.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_16s16sc_Sfs to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_16s32f | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | int | nLength,
|  | Npp32f * | pDp,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_16s32f_Ctx | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | int | nLength,
|  | Npp32f * | pDp,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short integer dot product method, return value is 32-bit float.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_16s32f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_16s32s32s_Sfs | ( | const Npp16s * | pSrc1,
|  | const Npp32s * | pSrc2,
|  | int | nLength,
|  | Npp32s * | pDp,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_16s32s32s_Sfs_Ctx | ( | const Npp16s * | pSrc1,
|  | const Npp32s * | pSrc2,
|  | int | nLength,
|  | Npp32s * | pDp,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short integer and 32-bit signed integer dot product method, return value is 32-bit signed integer.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  nScaleFactor | Integer Result Scaling.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_16s32s32s_Sfs to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_16s32s_Sfs | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | int | nLength,
|  | Npp32s * | pDp,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_16s32s_Sfs_Ctx | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | int | nLength,
|  | Npp32s * | pDp,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short integer dot product method, return value is 32-bit signed integer.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  nScaleFactor | Integer Result Scaling.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_16s32s_Sfs to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_16s64s | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | int | nLength,
|  | Npp64s * | pDp,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_16s64s_Ctx | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | int | nLength,
|  | Npp64s * | pDp,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short integer dot product method, return value is 64-bit signed integer.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_16s64s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_16s_Sfs | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | int | nLength,
|  | Npp16s * | pDp,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_16s_Sfs_Ctx | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | int | nLength,
|  | Npp16s * | pDp,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short integer dot product method, return value is 16-bit signed short integer.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  nScaleFactor | Integer Result Scaling.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_16s_Sfs to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_16sc32fc | ( | const Npp16sc * | pSrc1,
|  | const Npp16sc * | pSrc2,
|  | int | nLength,
|  | Npp32fc * | pDp,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_16sc32fc_Ctx | ( | const Npp16sc * | pSrc1,
|  | const Npp16sc * | pSrc2,
|  | int | nLength,
|  | Npp32fc * | pDp,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short integer complex dot product method, return value is 32-bit float complex.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_16sc32fc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_16sc32sc_Sfs | ( | const Npp16sc * | pSrc1,
|  | const Npp16sc * | pSrc2,
|  | int | nLength,
|  | Npp32sc * | pDp,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_16sc32sc_Sfs_Ctx | ( | const Npp16sc * | pSrc1,
|  | const Npp16sc * | pSrc2,
|  | int | nLength,
|  | Npp32sc * | pDp,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short integer complex dot product method, return value is 32-bit signed integer complex.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  nScaleFactor | Integer Result Scaling.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_16sc32sc_Sfs to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_16sc64sc | ( | const Npp16sc * | pSrc1,
|  | const Npp16sc * | pSrc2,
|  | int | nLength,
|  | Npp64sc * | pDp,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_16sc64sc_Ctx | ( | const Npp16sc * | pSrc1,
|  | const Npp16sc * | pSrc2,
|  | int | nLength,
|  | Npp64sc * | pDp,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short integer complex dot product method, return value is 64-bit signed integer complex.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_16sc64sc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_16sc_Sfs | ( | const Npp16sc * | pSrc1,
|  | const Npp16sc * | pSrc2,
|  | int | nLength,
|  | Npp16sc * | pDp,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_16sc_Sfs_Ctx | ( | const Npp16sc * | pSrc1,
|  | const Npp16sc * | pSrc2,
|  | int | nLength,
|  | Npp16sc * | pDp,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short integer complex dot product method, return value is 16-bit signed short integer complex.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  nScaleFactor | Integer Result Scaling.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_16sc_Sfs to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_32f | ( | const Npp32f * | pSrc1,
|  | const Npp32f * | pSrc2,
|  | int | nLength,
|  | Npp32f * | pDp,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_32f32fc | ( | const Npp32f * | pSrc1,
|  | const Npp32fc * | pSrc2,
|  | int | nLength,
|  | Npp32fc * | pDp,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_32f32fc64fc | ( | const Npp32f * | pSrc1,
|  | const Npp32fc * | pSrc2,
|  | int | nLength,
|  | Npp64fc * | pDp,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_32f32fc64fc_Ctx | ( | const Npp32f * | pSrc1,
|  | const Npp32fc * | pSrc2,
|  | int | nLength,
|  | Npp64fc * | pDp,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float and 32-bit float complex dot product method, return value is 64-bit float complex.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_32f32fc64fc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_32f32fc_Ctx | ( | const Npp32f * | pSrc1,
|  | const Npp32fc * | pSrc2,
|  | int | nLength,
|  | Npp32fc * | pDp,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float and 32-bit float complex dot product method, return value is 32-bit float complex.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_32f32fc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_32f64f | ( | const Npp32f * | pSrc1,
|  | const Npp32f * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDp,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_32f64f_Ctx | ( | const Npp32f * | pSrc1,
|  | const Npp32f * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDp,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float dot product method, return value is 64-bit float.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_32f64f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_32f_Ctx | ( | const Npp32f * | pSrc1,
|  | const Npp32f * | pSrc2,
|  | int | nLength,
|  | Npp32f * | pDp,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float dot product method, return value is 32-bit float.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_32f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_32fc | ( | const Npp32fc * | pSrc1,
|  | const Npp32fc * | pSrc2,
|  | int | nLength,
|  | Npp32fc * | pDp,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_32fc64fc | ( | const Npp32fc * | pSrc1,
|  | const Npp32fc * | pSrc2,
|  | int | nLength,
|  | Npp64fc * | pDp,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_32fc64fc_Ctx | ( | const Npp32fc * | pSrc1,
|  | const Npp32fc * | pSrc2,
|  | int | nLength,
|  | Npp64fc * | pDp,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float complex dot product method, return value is 64-bit float complex.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_32fc64fc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_32fc_Ctx | ( | const Npp32fc * | pSrc1,
|  | const Npp32fc * | pSrc2,
|  | int | nLength,
|  | Npp32fc * | pDp,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float complex dot product method, return value is 32-bit float complex.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_32fc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_32s32sc_Sfs | ( | const Npp32s * | pSrc1,
|  | const Npp32sc * | pSrc2,
|  | int | nLength,
|  | Npp32sc * | pDp,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_32s32sc_Sfs_Ctx | ( | const Npp32s * | pSrc1,
|  | const Npp32sc * | pSrc2,
|  | int | nLength,
|  | Npp32sc * | pDp,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit signed short integer and 32-bit signed short integer complex dot product method, return value is 32-bit signed integer complex.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  nScaleFactor | Integer Result Scaling.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_32s32sc_Sfs to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_32s_Sfs | ( | const Npp32s * | pSrc1,
|  | const Npp32s * | pSrc2,
|  | int | nLength,
|  | Npp32s * | pDp,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_32s_Sfs_Ctx | ( | const Npp32s * | pSrc1,
|  | const Npp32s * | pSrc2,
|  | int | nLength,
|  | Npp32s * | pDp,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit signed integer dot product method, return value is 32-bit signed integer.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  nScaleFactor | Integer Result Scaling.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_32s_Sfs to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_32sc_Sfs | ( | const Npp32sc * | pSrc1,
|  | const Npp32sc * | pSrc2,
|  | int | nLength,
|  | Npp32sc * | pDp,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_32sc_Sfs_Ctx | ( | const Npp32sc * | pSrc1,
|  | const Npp32sc * | pSrc2,
|  | int | nLength,
|  | Npp32sc * | pDp,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit signed integer complex dot product method, return value is 32-bit signed integer complex.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  nScaleFactor | Integer Result Scaling.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_32sc_Sfs to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_64f | ( | const Npp64f * | pSrc1,
|  | const Npp64f * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDp,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_64f64fc | ( | const Npp64f * | pSrc1,
|  | const Npp64fc * | pSrc2,
|  | int | nLength,
|  | Npp64fc * | pDp,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_64f64fc_Ctx | ( | const Npp64f * | pSrc1,
|  | const Npp64fc * | pSrc2,
|  | int | nLength,
|  | Npp64fc * | pDp,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit float and 64-bit float complex dot product method, return value is 64-bit float complex.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_64f64fc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_64f_Ctx | ( | const Npp64f * | pSrc1,
|  | const Npp64f * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDp,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit float dot product method, return value is 64-bit float.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_64f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProd_64fc | ( | const Npp64fc * | pSrc1,
|  | const Npp64fc * | pSrc2,
|  | int | nLength,
|  | Npp64fc * | pDp,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsDotProd_64fc_Ctx | ( | const Npp64fc * | pSrc1,
|  | const Npp64fc * | pSrc2,
|  | int | nLength,
|  | Npp64fc * | pDp,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit float complex dot product method, return value is 64-bit float complex.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDp | Pointer to the dot product result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsDotProdGetBufferSize_64fc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDotProdGetBufferSize_16s16sc32fc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_16s16sc32fc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_16s16sc32fc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_16s16sc32sc_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_16s16sc32sc_Sfs_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_16s16sc32sc_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_16s16sc64sc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_16s16sc64sc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_16s16sc64sc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_16s16sc_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_16s16sc_Sfs_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_16s16sc_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_16s32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_16s32f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_16s32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_16s32s32s_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_16s32s32s_Sfs_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_16s32s32s_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_16s32s_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_16s32s_Sfs_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_16s32s_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_16s64s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_16s64s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_16s64s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_16s_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_16s_Sfs_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_16s_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_16sc32fc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_16sc32fc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_16sc32fc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_16sc32sc_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_16sc32sc_Sfs_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_16sc32sc_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_16sc64sc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_16sc64sc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_16sc64sc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_16sc_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_16sc_Sfs_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_16sc_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_32f32fc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_32f32fc64fc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_32f32fc64fc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_32f32fc64fc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_32f32fc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_32f32fc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_32f64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_32f64f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_32f64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_32f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_32fc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_32fc64fc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_32fc64fc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_32fc64fc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_32fc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_32fc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_32s32sc_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_32s32sc_Sfs_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_32s32sc_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_32s_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_32s_Sfs_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_32s_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_32sc_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_32sc_Sfs_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_32sc_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_64f64fc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_64f64fc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_64f64fc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_64f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsDotProdGetBufferSize_64fc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsDotProdGetBufferSize_64fc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsDotProd_64fc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

Copyright © 2009-2020 NVIDIA Corporation